//------------------------------------------------------
// Chartres Cathedral (as built in 1260)
//
// (c) Juan Carlos Prieto - 2004 - 2023
//------------------------------------------------------
            
#version 3.8;

//----- SWITCHES
#declare show_transept		= on;
#declare show_nave			= on;
#declare show_choir			= on;
#declare show_ambulatory	= on;
#declare show_chapels		= on;
#declare show_main_facade	= on;
#declare show_north_porch	= on;
#declare show_south_porch	= on;

#declare show_ornaments		= on;
#declare show_vitress		= on;
#declare show_bricks			= on;
#declare show_details		= on; 
#declare show_textures		= on;
#declare show_normals		= on;

#declare show_ambient		= on;
#declare show_media			= on;
#declare sun_light			= on;      

#declare img = 0;
#switch (img)
#case (0) // Random
	#include "random_camera.inc"
	#break
#case (1) // Lucas - image1 (remove ground)
	#declare r_camera = <0,-90,0>;
	#declare t_camera = <7.7,27,-25.3>;
	#declare r_light = <90,0,0>; 
	#declare show_media = off;
	#break
#case (2) // Lucas - image2
	#declare r_camera = <0,-90,-90>;
	#declare t_camera = <0,16,-25.3>;
	#declare r_light = <90,0,0>; 
	#declare show_media = off;
	#break
#case (3) // Lucas - image3 (portrait)
	#declare r_camera = <0,-90,0>;
	#declare t_camera = <18,28,-25>;
	#declare show_ambient = off;
	#declare show_media = off;
	#declare sun_light = off;      
	#break
#case (4) // Lucas - image4 (portrait)
	#declare r_camera = <0,-115,-25>;
	#declare t_camera = <15,17,-15>;
	#declare show_ambient = off;
	#declare show_media = off;
	#declare sun_light = off;      
	#break
#end   

//----- INCLUSSIONS
#include "definitions.inc"
#include "textures.inc"
#include "basic_objects.inc"
#include "environment.inc"
#include "main_object.inc"

object {Cathedral()}
